1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PocketMine-MP 1.6.1dev-#87 is now available!

Discussion in 'Releases' started by dktapps, Nov 25, 2016.

Thread Status:
Not open for further replies.
  1. dktapps

    dktapps A-Team Staff Member PMMP Team

    Messages:
    279
    GitHub:
    dktapps
    Yes, you read it right. PocketMine 1.6.1-#87 is now available from Jenkins and from GitHub.

    NOTE: This is a development build and may be unstable. Do not use it in production unless you are sure you know what you are doing.

    How do I install it?

    Go check out the documentation. Updated PHP binaries for Linux x64 can be obtained from Jenkins.

    What changed between this and the last release?
    Many things! But since things haven't been properly documented since 1.4.1, a whole lot of things have changed that haven't been documented. Now that things are moving forwards again, we are changing this, and from this point forwards changes will be properly documented. The changes documented on the release notes cover the period of September 5th to 25th November 2016.
    You can see a full list of what changed on the 1.6.1dev-87 release on GitHub.

    What Minecraft PE versions does this version support?
    Any currently released version of 0.16, excepting betas.

    Will my plugins break when I update?
    The API version has been bumped to 2.1.0 to cover some backwards incompatible changes. A list of changes can be seen on GitHub.
     
  2. SOFe

    SOFe A-Team Staff Member PMMP Team

    Messages:
    961
    GitHub:
    sof3
    I'm sure nobody knows what they're doing ;) Haven't we been using even less promoted builds all the time?
     
    TheDragonRing and dktapps like this.
  3. Daltontastic

    Daltontastic Spider Jockey Verified

    Messages:
    29
    Once you add Xbox Live auth I can ditch G****** completely.
     
    tuff, archie426, L3ice and 1 other person like this.
  4. Anthony Crenshaw

    Anthony Crenshaw Creeper

    Messages:
    1
    what version of pocket mine runs minecraft pe 16.2
     
  5. dktapps

    dktapps A-Team Staff Member PMMP Team

    Messages:
    279
    GitHub:
    dktapps
    ...
     
  6. davidportella

    davidportella Creeper

    Messages:
    1
    GitHub:
    davidportella
    what is the recommend memore in a server for this release (in a instance with 512mb work fine?)
     
  7. Sandertv

    Sandertv Zombie Pigman

    Messages:
    630
    GitHub:
    Sandertv
    It differs according to your average amount of players, the amount of worlds and the amount of plugins you have installed on the server.
     
    archie426 likes this.
  8. TheDragonRing

    TheDragonRing Spider Jockey

    Messages:
    25
    GitHub:
    thedragonring
    It seems part of the the official documentation (https://pmmp.readthedocs.io/en/rtfd/plugins.html#plugin-yml) has long been forgotten. In the basic plugin.yml section the API to be used is still listed as 1.12.0. I've submitted a PR to change it. (this seemed like the right place to post this, since @dktapps mentioned the api version change)
     
    HimbeersaftLP and dktapps like this.
Thread Status:
Not open for further replies.

Share This Page